public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-text/poppler/, app-text/poppler/files/
Date: Mon, 15 Jul 2019 18:17:58 +0000 (UTC)	[thread overview]
Message-ID: <1563214668.40d84fce43cf0279ccfbd7aba08d43f6cd9be79f.asturm@gentoo> (raw)

commit:     40d84fce43cf0279ccfbd7aba08d43f6cd9be79f
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Mon Jul 15 18:16:14 2019 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Mon Jul 15 18:17:48 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=40d84fce

app-text/poppler: Fix text selection on some revdeps

Closes: https://bugs.gentoo.org/689660
Package-Manager: Portage-2.3.69, Repoman-2.3.16
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 .../files/poppler-0.78.0-fix-text-selection.patch  |  28 +++++
 app-text/poppler/poppler-0.78.0-r1.ebuild          | 128 +++++++++++++++++++++
 2 files changed, 156 insertions(+)

diff --git a/app-text/poppler/files/poppler-0.78.0-fix-text-selection.patch b/app-text/poppler/files/poppler-0.78.0-fix-text-selection.patch
new file mode 100644
index 00000000000..8a9c3a760f3
--- /dev/null
+++ b/app-text/poppler/files/poppler-0.78.0-fix-text-selection.patch
@@ -0,0 +1,28 @@
+From 2d191b49ea074cc69ba4c68a572f26c8bdb55abd Mon Sep 17 00:00:00 2001
+From: Albert Astals Cid <aacid@kde.org>
+Date: Wed, 10 Jul 2019 01:10:22 +0200
+Subject: [PATCH] Fix mistake on 093531cd0d0878b892d92ebc56c26936e5de3712
+
+These i should have been j too
+---
+ poppler/TextOutputDev.cc | 4 ++--
+ 1 file changed, 2 insertions(+), 2 deletions(-)
+
+diff --git a/poppler/TextOutputDev.cc b/poppler/TextOutputDev.cc
+index e62e088c..645e38fd 100644
+--- a/poppler/TextOutputDev.cc
++++ b/poppler/TextOutputDev.cc
+@@ -4791,8 +4791,8 @@ void TextSelectionPainter::endPage()
+         if (j != begin && sel->word->charPos[j] == sel->word->charPos[j - 1])
+           continue;
+ 
+-	out->drawChar(state, sel->word->textMat[i].m[4], sel->word->textMat[i].m[5], 0, 0, 0, 0,
+-		      sel->word->charcode[i], 1, nullptr, 0);
++	out->drawChar(state, sel->word->textMat[j].m[4], sel->word->textMat[j].m[5], 0, 0, 0, 0,
++		      sel->word->charcode[j], 1, nullptr, 0);
+       }
+       out->endString(state);
+       delete string;
+-- 
+2.21.0
+

diff --git a/app-text/poppler/poppler-0.78.0-r1.ebuild b/app-text/poppler/poppler-0.78.0-r1.ebuild
new file mode 100644
index 00000000000..b71b9d45772
--- /dev/null
+++ b/app-text/poppler/poppler-0.78.0-r1.ebuild
@@ -0,0 +1,128 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake-utils flag-o-matic toolchain-funcs xdg-utils
+
+if [[ ${PV} == *9999* ]] ; then
+	inherit git-r3
+	EGIT_REPO_URI="https://anongit.freedesktop.org/git/poppler/poppler.git"
+	SLOT="0/9999"
+else
+	SRC_URI="https://poppler.freedesktop.org/${P}.tar.xz"
+	KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+	SLOT="0/89"   # CHECK THIS WHEN BUMPING!!! SUBSLOT IS libpoppler.so SOVERSION
+fi
+
+DESCRIPTION="PDF rendering library based on the xpdf-3.0 code base"
+HOMEPAGE="https://poppler.freedesktop.org/"
+
+LICENSE="GPL-2"
+IUSE="cairo cjk curl cxx debug doc +introspection +jpeg +jpeg2k +lcms nss png qt5 tiff +utils"
+
+# No test data provided
+RESTRICT="test"
+
+BDEPEND="
+	dev-util/glib-utils
+	virtual/pkgconfig
+"
+DEPEND="
+	media-libs/fontconfig
+	media-libs/freetype
+	sys-libs/zlib
+	cairo? (
+		dev-libs/glib:2
+		x11-libs/cairo
+		introspection? ( dev-libs/gobject-introspection:= )
+	)
+	curl? ( net-misc/curl )
+	jpeg? ( virtual/jpeg:0 )
+	jpeg2k? ( >=media-libs/openjpeg-2.3.0-r1:2= )
+	lcms? ( media-libs/lcms:2 )
+	nss? ( >=dev-libs/nss-3.19:0 )
+	png? ( media-libs/libpng:0= )
+	qt5? (
+		dev-qt/qtcore:5
+		dev-qt/qtgui:5
+		dev-qt/qtxml:5
+	)
+	tiff? ( media-libs/tiff:0 )
+"
+RDEPEND="${DEPEND}
+	cjk? ( app-text/poppler-data )
+"
+
+DOCS=( AUTHORS NEWS README README-XPDF )
+
+PATCHES=(
+	"${FILESDIR}/${PN}-0.60.1-qt5-dependencies.patch"
+	"${FILESDIR}/${PN}-0.28.1-fix-multilib-configuration.patch"
+	"${FILESDIR}/${PN}-0.78.0-respect-cflags.patch"
+	"${FILESDIR}/${PN}-0.61.0-respect-cflags.patch"
+	"${FILESDIR}/${PN}-0.57.0-disable-internal-jpx.patch"
+	"${FILESDIR}/${PN}-0.78.0-fix-text-selection.patch" # bug 689660
+)
+
+src_prepare() {
+	cmake-utils_src_prepare
+
+	# Clang doesn't grok this flag, the configure nicely tests that, but
+	# cmake just uses it, so remove it if we use clang
+	if [[ ${CC} == clang ]] ; then
+		sed -e 's/-fno-check-new//' -i cmake/modules/PopplerMacros.cmake || die
+	fi
+
+	if ! grep -Fq 'cmake_policy(SET CMP0002 OLD)' CMakeLists.txt ; then
+		sed -e '/^cmake_minimum_required/acmake_policy(SET CMP0002 OLD)' \
+			-i CMakeLists.txt || die
+	else
+		einfo "policy(SET CMP0002 OLD) - workaround can be removed"
+	fi
+
+	# we need to up the C++ version, bug #622526, #643278
+	append-cxxflags -std=c++11
+}
+
+src_configure() {
+	xdg_environment_reset
+	local mycmakeargs=(
+		-DBUILD_GTK_TESTS=OFF
+		-DBUILD_QT5_TESTS=OFF
+		-DBUILD_CPP_TESTS=OFF
+		-DENABLE_SPLASH=ON
+		-DENABLE_ZLIB=ON
+		-DENABLE_ZLIB_UNCOMPRESS=OFF
+		-DENABLE_UNSTABLE_API_ABI_HEADERS=ON
+		-DSPLASH_CMYK=OFF
+		-DUSE_FIXEDPOINT=OFF
+		-DUSE_FLOAT=OFF
+		-DWITH_Cairo=$(usex cairo)
+		-DENABLE_LIBCURL=$(usex curl)
+		-DENABLE_CPP=$(usex cxx)
+		-DWITH_JPEG=$(usex jpeg)
+		-DENABLE_DCTDECODER=$(usex jpeg libjpeg none)
+		-DENABLE_LIBOPENJPEG=$(usex jpeg2k openjpeg2 none)
+		-DENABLE_CMS=$(usex lcms lcms2 none)
+		-DWITH_NSS3=$(usex nss)
+		-DWITH_PNG=$(usex png)
+		$(cmake-utils_use_find_package qt5 Qt5Core)
+		-DWITH_TIFF=$(usex tiff)
+		-DENABLE_UTILS=$(usex utils)
+	)
+	use cairo && mycmakeargs+=( -DWITH_GObjectIntrospection=$(usex introspection) )
+
+	cmake-utils_src_configure
+}
+
+src_install() {
+	cmake-utils_src_install
+
+	# live version doesn't provide html documentation
+	if use cairo && use doc && [[ ${PV} != *9999* ]]; then
+		# For now install gtk-doc there
+		insinto /usr/share/gtk-doc/html/poppler
+		doins -r "${S}"/glib/reference/html/*
+	fi
+}


             reply	other threads:[~2019-07-15 18:18 UTC|newest]

Thread overview: 26+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-07-15 18:17 Andreas Sturmlechner [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-24 18:04 [gentoo-commits] repo/gentoo:master commit in: app-text/poppler/, app-text/poppler/files/ Andreas Sturmlechner
2024-01-26 20:48 Andreas Sturmlechner
2023-10-08 14:37 Andreas Sturmlechner
2022-08-15 10:43 Andreas Sturmlechner
2022-05-07 21:00 Sam James
2021-12-06 15:42 Andreas Sturmlechner
2021-09-04 21:01 Andreas Sturmlechner
2020-12-11 19:55 Andreas Sturmlechner
2020-11-24 19:59 Andreas Sturmlechner
2020-11-02 14:07 Lars Wendler
2020-09-19 20:40 Andreas Sturmlechner
2019-12-28 16:10 Andreas Sturmlechner
2019-10-26 12:48 Lars Wendler
2019-07-20 19:30 Andreas Sturmlechner
2019-06-27  9:30 Lars Wendler
2019-03-02 20:29 Andreas Sturmlechner
2019-01-30 22:31 Andreas Sturmlechner
2019-01-30 21:21 Sergei Trofimovich
2018-04-07 15:36 Andreas Sturmlechner
2017-11-24 23:08 Andreas Sturmlechner
2017-11-24 23:08 Andreas Sturmlechner
2017-10-06  7:20 Lars Wendler
2017-09-05 21:11 Lars Wendler
2016-07-31 20:51 Andreas Hüttel
2016-01-29 10:53 Michael Palimaka

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1563214668.40d84fce43cf0279ccfbd7aba08d43f6cd9be79f.asturm@gentoo \
    --to=asturm@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox